Running MSBuild 4.0 and MSBuild 3.5 on Continuous Integration

With Visual Studio 2010 RC released recently, we jumped on the release and began to code with VS2010.  One issue that popped up was that now all builds were targeting MSBuild 4.0.

That doesn’t seem to be a big problem until our CruiseControl CI server kicked in, downloaded our updated code and failed building the upgraded projects.

Fortunately there is a very quick solution to this little problem.  There are a couple of requirements.

  1. You need to have VS2010 RC installed somewhere
  2. You need to download the .Net Framework 4.0 (I recommend the full version and not just the Client Profile, it ensures you don’t miss anything)

To fix, do the following:

  1. download and install the .Net Framework 4.0 on the CI server (then restart the server)
  2. on the computer where VS2010 RC is installed go to the following path:
  3. copy the v10.0 folder located in that directory into the CI server at the same path (or wherever our MSbuild path is on the CI server)
  4. Once that is done, edit the ccnet.config file at the <msbuild><executable> tag and change it to the new .Net 4.0 Framework installed (you should only need to change the section “v3.5” to “v4.0.xxxxx”

Hope this helps


Subscribe to our e-mail newsletter to receive updates.


No comments yet.

Leave a Reply